#
# spec file for package plotutil (Version 2.3)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake gpp libgpp xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         plotutil
Copyright:    1989-1991 Rich Murphey, 1995 Robert Maier, 1978-1994 Nick Tufillaro
Group:        Applications/Graphics
Provides:     plotutils 
Autoreqprov:  on
Version:      2.3
Release:      278
Summary:      The GNU Plotting Utilities
Source0:	plotutils-2.3.tar.bz2
Patch:		plotutils-2.3.dif

%description
The GNU plotting utilities consist of seven command-line programs:
the graphics programs `graph', `plot', `tek2plot', and `plotfont', and
the mathematical programs `spline', `ode', and `double'.  Distributed
with these programs is GNU `libplot', the library on which the graphics
programs are based. `libplot' is a function library for
device-independent two-dimensional vector graphics, including vector
graphics animations under the X Window System.

Authors:
--------
    Rich Murphey <rich@freebsd.org>
    Robert Maier <rsm@math.arizona.edu>
    Edward Moy <moy@parc.xerox.com>
    Nick Tufillaro <nbt@reed.edu>

SuSE series: ap

%prep
%setup -n plotutils-2.3
%patch

%build
  ARCH=`uname -m | sed 's@\(i\)[34567]\(86\)@\13\2@'`
  if test "$ARCH" = "i386" ; then
    LOOP="-m486 -malign-loops=2 -malign-jumps=2 -malign-functions=2"
  else
    LOOP=""
  fi
  CC="gcc"
  CFLAGS="-O2 $LOOP -pipe"
  CXX="g++"
  CXXFLAGS="$CFLAGS"
  CPPFLAGS="-I/usr/X11R6/include"
  LDFLAGS="-L/usr/X11R6/lib"
  export CC CXX CFLAGS CXXFLAGS CPPFLAGS LDFLAGS
  ./configure i386-pc-linux  \
	--prefix=/usr \
	--libexecdir=/usr/lib \
	--with-gcc \
	--with-gnu-ld \
	--enable-libplotter \
	--enable-libxmi \
	--mandir=%{_mandir} \
	--infodir=%{_infodir} \
	--with-x --x-includes=/usr/X11R6/include --x-libraries=/usr/X11R6/lib
  make CC=$CC CXX="$CXX" \
       CFLAGS="$CFLAGS" CXXFLAGS="$CXXFLAGS" CPPFLAGS="$CPPFLAGS" LDFLAGS="$LDFLAGS"

%install
# set +o posix
# touch /tmp/bstamp; sleep 3; sync
  make install
  chmod 755 /usr/lib/libplot.so.*
  #
  rm -rf %{_defaultdocdir}/plotutil/
  mkdir -p %{_defaultdocdir}/plotutil
  install -m 0444 AUTHORS       %{_defaultdocdir}/plotutil/
  install -m 0444 COMPAT        %{_defaultdocdir}/plotutil/
  install -m 0444 COPYING       %{_defaultdocdir}/plotutil/
  install -m 0444 INSTALL.fonts %{_defaultdocdir}/plotutil/
  install -m 0444 KNOWN_BUGS    %{_defaultdocdir}/plotutil/
  install -m 0444 PROBLEMS      %{_defaultdocdir}/plotutil/
  install -m 0444 README        %{_defaultdocdir}/plotutil/
  install -m 0444 THANKS        %{_defaultdocdir}/plotutil/
  install -m 0444 TODO          %{_defaultdocdir}/plotutil/
  mv /usr/share/libplot         %{_defaultdocdir}/plotutil/
  mv /usr/share/ode             %{_defaultdocdir}/plotutil/
  mv /usr/share/pic2plot        %{_defaultdocdir}/plotutil/
  mv /usr/share/tek2plot        %{_defaultdocdir}/plotutil/
  strip /usr/bin/double
  strip /usr/bin/graph
  strip /usr/bin/ode
  strip /usr/bin/pic2plot
  strip /usr/bin/plot
  strip /usr/bin/plotfont
  strip /usr/bin/spline
  strip /usr/bin/tek2plot
  #
  install -m 0444 fonts/pcf/*.pcf /usr/X11R6/lib/X11/fonts/misc/
  gzip -9f /usr/X11R6/lib/X11/fonts/misc/*.pcf
  #
  install -m 0444 manpage.1 %{_mandir}/man1/plotutils.1
  gzip -9f %{_mandir}/man1/plotutils.1
  ln -sf plotutils.1.gz %{_mandir}/man1/double.1.gz
  ln -sf plotutils.1.gz %{_mandir}/man1/graph.1.gz
  ln -sf plotutils.1.gz %{_mandir}/man1/ode.1.gz
  ln -sf plotutils.1.gz %{_mandir}/man1/pic2plot.1.gz
  ln -sf plotutils.1.gz %{_mandir}/man1/plot.1.gz
  ln -sf plotutils.1.gz %{_mandir}/man1/plotfont.1.gz
  ln -sf plotutils.1.gz %{_mandir}/man1/spline.1.gz
  ln -sf plotutils.1.gz %{_mandir}/man1/tek2plot.1.gz
  #
  Check
# touch /tmp/estamp; sleep 3; sync
# find / -xdev  \( -newer /tmp/bstamp -a \( -not -newer /tmp/estamp \) \) -a \( \
#      \( \( \( -not -type d \) -a \( -not -type l \) \) -printf '%%p\n' \) -o  \
#      \( -type d -printf '%%p/\n' \) -o \( -type l -printf '%%p\n'  \) \)  >   \
# >(sort -u -t / | grep -vE '^(/tmp|/proc|/usr/src/packages)' > /tmp/plist)
# rm /tmp/estamp /tmp/bstamp

%files
/usr/bin/double
/usr/bin/graph
/usr/bin/ode
/usr/bin/pic2plot
/usr/bin/plot
/usr/bin/plotfont
/usr/bin/spline
/usr/bin/tek2plot
%doc %{_defaultdocdir}/plotutil/
/usr/include/plot.h
/usr/include/plotcompat.h
/usr/include/plotter.h
/usr/include/xmi.h
%doc %{_infodir}/plotutils.info.gz
%doc %{_infodir}/libxmi.info.gz
/usr/lib/libplot.a
/usr/lib/libplot.la
/usr/lib/libplot.so
/usr/lib/libplot.so.2
/usr/lib/libplot.so.2.1.0
/usr/lib/libplotter.a
/usr/lib/libplotter.la
/usr/lib/libplotter.so
/usr/lib/libplotter.so.2
/usr/lib/libplotter.so.2.1.0
/usr/lib/libxmi.a
/usr/lib/libxmi.la
/usr/lib/libxmi.so
/usr/lib/libxmi.so.0
/usr/lib/libxmi.so.0.1.1
%doc %{_mandir}/man1/plotutils.1.gz
%doc %{_mandir}/man1/double.1.gz
%doc %{_mandir}/man1/graph.1.gz
%doc %{_mandir}/man1/ode.1.gz
%doc %{_mandir}/man1/pic2plot.1.gz
%doc %{_mandir}/man1/plot.1.gz
%doc %{_mandir}/man1/plotfont.1.gz
%doc %{_mandir}/man1/spline.1.gz
%doc %{_mandir}/man1/tek2plot.1.gz
/usr/X11R6/lib/X11/fonts/misc/tekfont0.pcf.gz
/usr/X11R6/lib/X11/fonts/misc/tekfont1.pcf.gz
/usr/X11R6/lib/X11/fonts/misc/tekfont2.pcf.gz
/usr/X11R6/lib/X11/fonts/misc/tekfont3.pcf.gz

%changelog -n plotutil
* Tue Jun 26 2001 - schwab@suse.de
- Fix for gcc 3.0.
* Tue May 08 2001 - mfabian@suse.de
- bzip2 sources
* Wed May 31 2000 - werner@suse.de
- Use %%{_defaultdocdir}
* Wed Mar 08 2000 - bs@suse.de
- no ldconfig in %%post please.
* Fri Feb 11 2000 - werner@suse.de
- Fix call of ldconfig, only if called in real root file system
* Thu Jan 20 2000 - ro@suse.de
- update to 2.3 to make it build
- info,man: use macros to move to /usr/share
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Apr 05 1999 - bs@suse.de
- fixed date strings in .changes.
* Fri Mar 26 1999 - werner@suse.de
- Update to version 2.2
* Wed Mar 03 1999 - werner@suse.de
- New package, version 2.1.6
